# pandas.rolling_corr

`pandas.``rolling_corr`(arg1, arg2=None, window=None, min_periods=None, freq=None, center=False, pairwise=None, how=None)

  Moving sample correlation.

  Parameters:

  arg1 : Series, DataFrame, or ndarray

  arg2 : Series, DataFrame, or ndarray, optional

  > if not supplied then will default to arg1 and produce pairwise output

  window : int

  > Size of the moving window. This is the number of observations used for calculating the statistic.

  min_periods : int, default None

  > Minimum number of observations in window required to have a value (otherwise result is NA).

  freq : string or DateOffset object, optional (default None)

  > Frequency to conform the data to before computing the statistic. Specified as a frequency string or DateOffset object.

  center : boolean, default False

  > Set the labels at the center of the window.

  how : string, default ‘None’

  > Method for down- or re-sampling

  pairwise : bool, default False

  > If False then only matching columns between arg1 and arg2 will be used and the output will be a DataFrame. If True then all pairwise combinations will be calculated and the output will be a Panel in the case of DataFrame inputs. In the case of missing elements, only complete pairwise observations will be used.

  Returns:

  y : type depends on inputs

  > DataFrame / DataFrame -> DataFrame (matches on columns) or Panel (pairwise) DataFrame / Series -> Computes result for each column Series / Series -> Series

  Notes

  By default, the result is set to the right edge of the window. This can be changed to the center of the window by setting `center=True`.

  The freq keyword is used to conform time series data to a specified frequency by resampling the data. This is done with the default parameters of `resample()` (i.e. using the mean).